#include <avr/io.h>
#include <avr/interrupt.h>
#include "ad.h"
#include "extern.h"

// init AD converter
void init_adc(void){
	ADMUX = 0;
	//ADMUX = _BV(REFS0);
 	//ADMUX = _BV(REFS0) | _BV(REFS1);
	//ADCSRA = _BV(ADEN) | _BV(ADPS0) | _BV(ADPS1) | _BV(ADPS2); // 1/128
	//ADCSRA = _BV(ADEN) | _BV(ADPS1) | _BV(ADPS2);              // 1/64
	//ADCSRA = _BV(ADEN) | _BV(ADPS0) | _BV(ADPS2);              // 1/32
	//ADCSRA = _BV(ADEN) | _BV(ADPS2);                           // 1/16
	//ADCSRA = _BV(ADEN) | _BV(ADPS0) | _BV(ADPS1);              // 1/8
	ADCSRA = _BV(ADEN) | _BV(ADPS1);                           // 1/4
	//ADCSRA = _BV(ADEN) | _BV(ADPS0);                           // 1/2
	//ADCSRA = _BV(ADEN);                                        // 1/1

	// stabilize
	get_light_sensor_val();
}

// single end input AD return 0-1023
uint16_t exec_adc(uint8_t pin){
	uint16_t ad = 0;

	if(pin > 7){return 0;}               // only single end input
	ADMUX = pin;                         // select pin
	ADCSRA &= ~_BV(ADIF);                // disable flag
	ADCSRA |= _BV(ADSC);                 // a/d start
	loop_until_bit_is_set(ADCSRA, ADIF); // while done it
	ad = ADCL;                           // LSB 8bit
	return ad += (ADCH<<8);              // MSB 8bit(2bit)
}

void get_light_sensor_val(void){
	light_sensor = exec_adc(LIGHT_SENSOR_PIN);
}
