#ifndef __EEPROM_H
#define __EEPROM_H

#include <avr/eeprom.h>
#include "ad.h"
#include "common.h"

void read_setting(void);
void reset_setting(void);

// eeprom address
#define E_MODE               0  // mode
#define E_COLON_MODE         1  // colon_mode
#define E_CENTURY            2  // century
#define E_DUTY               3  // duty
#define E_COLON_BRIGHTNESS   4  // colon_brightness[2]
#define E_GPS_EN             5  // gps_en
#define E_GPS_TIMEZONE       6  // gps_timezone
#define E_LIGHT_SENSOR_EN    7  // light_sensor_en
#define E_LIGHT_SENSOR_TH    8  // light_sensor_th 2byte
#define E_LIGHT_SENSOR_SW    10 // light_sensor_sw

// eeprom default
#define E_MODE_DEFAULT             TIME_MODE
#define E_COLON_MODE_DEFAULT       COLON_PWM
#define E_CENTURY_DEFAULT          20
#define E_DUTY_DEFAULT             10
#define E_COLON_BRIGHTNESS_DEFAULT PWM_MAX
#define E_GPS_EN_DEFAULT           ENABLE
#define E_GPS_TIMEZONE_DEFAULT     9
#define E_LIGHT_SENSOR_EN_DEFAULT  ENABLE
#define E_LIGHT_SENSOR_TH_DEFAULT  80
#define E_LIGHT_SENSOR_SW_DEFAULT  DISABLE

#endif
