#ifndef __FONT_H
#define __FONT_H

#include <avr/pgmspace.h>

// PORTC
/*
** PC0 OUT PD SEG 13
** PC1 OUT PD SEG  7
** PC2 OUT PD SEG  6
** PC3 OUT PD SEG  5
** PC4 OUT PD SEG 14
** PC5 OUT PD SEG 12
** PC6 OUT PD SEG  4
** PC7 OUT PD SEG  1
*/
#define SEG_13 PC0
#define SEG_7  PC1
#define SEG_6  PC2
#define SEG_5  PC3
#define SEG_14 PC4
#define SEG_12 PC5
#define SEG_4  PC6
#define SEG_1  PC7
//uint8_t PROGMEM font_high[] = {
uint8_t font_high[] = {
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_13), // 0
	0b00000000, // 1
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_14), // 2
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_14), // 3
	_BV(SEG_6)|_BV(SEG_14), // 4
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_6)|_BV(SEG_14), // 5
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // 6
	_BV(SEG_1), // 7
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // 8
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_6)|_BV(SEG_14), // 9
	_BV(SEG_1)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // A
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // B
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // C
	_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_7), // D
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // E
	_BV(SEG_1)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // F
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // G
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // H
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_12), // I
	_BV(SEG_4)|_BV(SEG_5), // J
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // K
	_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // L
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_7), // M
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_7), // N
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // O
	_BV(SEG_1)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // P
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // Q
	_BV(SEG_1)|_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_14), // R
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_7), // S
	_BV(SEG_1)|_BV(SEG_12), // T
	_BV(SEG_4)|_BV(SEG_5)|_BV(SEG_6), // U
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_13), // V
	_BV(SEG_5)|_BV(SEG_6)|_BV(SEG_13), // W
	_BV(SEG_7)|_BV(SEG_13), // X
	_BV(SEG_7)|_BV(SEG_12), // Y
	_BV(SEG_1)|_BV(SEG_4)|_BV(SEG_13), // Z
	_BV(SEG_14), // minus
	0b00000000, // suppress
	0b11111111, // all on
};

// PORTF
/*
** PF0 OUT PD SEG 10
** PF1 OUT PD SEG  3
** PF2 OUT PD SEG  2
** PF3 OUT PD SEG  9
** PF4 OUT PD SEG 11
** PF5 OUT PD SEG  8
*/
#define SEG_10 PF0
#define SEG_3  PF1
#define SEG_2  PF2
#define SEG_9  PF3
#define SEG_11 PF4
#define SEG_8  PF5
//uint8_t PROGMEM font_low[] = {
uint8_t font_low[] = {
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_9), // 0
	_BV(SEG_2)|_BV(SEG_3), // 1
	_BV(SEG_2)|_BV(SEG_10), // 2
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // 3
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // 4
	_BV(SEG_3)|_BV(SEG_10), // 5
	_BV(SEG_3)|_BV(SEG_10), // 6
	_BV(SEG_2)|_BV(SEG_3), // 7
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // 8
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // 9
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // A
	_BV(SEG_9)|_BV(SEG_11), // B
	0b00000000, // C
	_BV(SEG_11), // D
	_BV(SEG_10), // E
	_BV(SEG_10), // F
	_BV(SEG_3)|_BV(SEG_10), // G
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_10), // H
	_BV(SEG_8), // I
	_BV(SEG_2)|_BV(SEG_3), // J
	_BV(SEG_9)|_BV(SEG_11), // K
	0b00000000, // L
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_9), // M
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_11), // N
	_BV(SEG_2)|_BV(SEG_3), // O
	_BV(SEG_2)|_BV(SEG_10), // P
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_11), // Q
	_BV(SEG_2)|_BV(SEG_10)|_BV(SEG_11), // R
	_BV(SEG_11), // S
	_BV(SEG_8), // T
	_BV(SEG_2)|_BV(SEG_3), // U
	_BV(SEG_9), // V
	_BV(SEG_2)|_BV(SEG_3)|_BV(SEG_11), // W
	_BV(SEG_9)|_BV(SEG_11), // X
	_BV(SEG_9), // Y
	_BV(SEG_9), // Z
	_BV(SEG_10), // minus
	0b00000000, // suppress
	0b00111111, // all on
};

#endif
