#include <avr/io.h>
#include "port.h"

/* PORT
** IN :init input
** OUT:init output
** PU :init pullup
** PD :init pulldown 
**
** PA0 OUT PD driver 1
** PA1 OUT PD driver 2
** PA2 OUT PD L COLON
** PA3 OUT PD driver 3
** PA4 OUT PD driver 4
** PA5 OUT PD R COLON
** PA6 OUT PD driver 5
** PA7 OUT PD driver 6
**
** PB0 OUT PD DS3234S CS  (SPI_SS)
** PB1 OUT PD DS3234S SCK (SPI_SCK) & ISP
** PB2 OUT PD DS3234S DIN (SPI_MOSI)
** PB3 IN  PD DS3234S DOUT(SPI_MISO)
** PB4 IN  PU NONE
** PB5 OUT PD SEG 15 (PWM OC1A)
** PB6 OUT PD L colon(PWM OC1B)
** PB7 OUT PD R colon(PWM OC1C)
**
** PC0 OUT PD SEG 13
** PC1 OUT PD SEG  7
** PC2 OUT PD SEG  6
** PC3 OUT PD SEG  5
** PC4 OUT PD SEG 14
** PC5 OUT PD SEG 12
** PC6 OUT PD SEG  4
** PC7 OUT PD SEG  1
**
** PD0 IN PU SCL NC
** PD1 IN PU SCK NC
** PD2 IN PU RXD NC
** PD3 IN PU TXD NC
** PD4 IN PU SW2
** PD5 IN PU SW3
** PD6 IN PU SW4
** PD7 IN PU SW5
**
** PE0 PDI(ISP) & IN PD RXD (GPS TXD)
** PE1 PDO(ISP) & IN PD TXD (GPS RXD)
** PE2 OUT PD HVPS SW
** PE3 OUT PD GPS STATUS LED D3
** PE4 IN  PU INT4(DS3234S INT)
** PE5 IN  PU INT5(GPS 1pps)
** PE6 IN  PU INT6(ENC1 A)
** PE7 IN  PU INT7(ENC2 A)
**
** PF0 OUT PD SEG 10
** PF1 OUT PD SEG  3
** PF2 OUT PD SEG  2
** PF3 OUT PD SEG  9
** PF4 OUT PD SEG 11
** PF5 OUT PD SEG  8
** PF6 IN  PD (ADC1)Light Sensor
** PF7 IN  PU NC
**
** PG0 IN  PU ENC2 B
** PG1 IN  PU ENC1 B
** PG2 OUT PD GPS SW(NJM2863F33)
** PG3 OUT PD GREEN(power) STATUS LED D4
** PG4 OUT PD RED  (error) STATUS LED D5
*/

void init_port(void){
	DDRA  = 0b11111111;
	DDRB  = 0b11110111;
	DDRC  = 0b11111111;
	DDRD  = 0b00000000;
	DDRE  = 0b00001100;
	DDRF  = 0b00111111;
	DDRG  = 0b00011100;
	PORTA = 0b00000000;
	PORTB = 0b00000000;
	PORTC = 0b00000000;
	PORTD = 0b11111111;
	PORTE = 0b11110000;
	PORTF = 0b10000000;
	PORTG = 0b00000011;
}
