#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include "extern.h"
#include "uart.h"

// this uart.c is specialized for GPS time recieving

// uart0 is GPS
volatile uint8_t uart0_buf[UART0_BUF];
volatile uint16_t uart0_count;

void init_uart(void){
	// UBRR0n = F_CPU / 16 / BAUD  - 1;
	// uart0 gps
	UBRR0H = 0;
	UBRR0L = 103; // 9600 bps @ 16MHz
	UCSR0B |= _BV(RXCIE0) | _BV(RXEN0);
}

void uart0_get_line(void){
	// check $GPRMC
	if(uart0_buf[3] == 'R' && uart0_buf[4] == 'M' && uart0_buf[5] == 'C'){
	   	gpstime.time[0] = uart0_buf[7];
		gpstime.time[1] = uart0_buf[8];
		gpstime.time[2] = uart0_buf[9];
		gpstime.time[3] = uart0_buf[10];
		gpstime.time[4] = uart0_buf[11];
		gpstime.time[5] = uart0_buf[12];
		if(uart0_buf[18] == 'A'){
			gpstime.valid = 1;
		}else{
			gpstime.valid = 0;
		}
	}
}


ISR(USART0_RX_vect){
	uint8_t data;

	data = UDR0;
	uart0_buf[uart0_count] = data;
	uart0_count++;
	if(uart0_count >= UART0_BUF){uart0_count = 0;}
	if(data == '\n'){
		uart0_get_line();
		uart0_count = 0;
	}
}
